curl --request GET \
--url 'https://api.stateset.com/api/v1/payments/{payment_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"amount": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"description": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": null,
"processed_at": null,
"status": "string"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Get payment by ID
Get payment by ID
GET
/
api
/
v1
/
payments
/
{payment_id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/payments/{payment_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"amount": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"description": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": null,
"processed_at": null,
"status": "string"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
Path parameters
string (uuid)
required
Payment ID
Responses
ApiResponse_PaymentResponse
Payment details
ErrorResponse
Not found
curl --request GET \
--url 'https://api.stateset.com/api/v1/payments/{payment_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"amount": "string",
"created_at": "2026-07-24T12:00:00Z",
"currency": "string",
"description": null,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": null,
"processed_at": null,
"status": "string"
},
"errors": null,
"message": null,
"meta": null,
"success": true
}
โI